<script setup>
import { onMounted, ref, watch, watchEffect } from 'vue'
import { Switch } from '@headlessui/vue'
import HeaderSearch from '../components/HeaderSearch.vue'
import { Menu, MenuButton, MenuItems, MenuItem } from '@headlessui/vue'
import { useStore } from 'vuex'

let store = useStore()

const sideBarToggle = () => {
    let sidenav = store.state.largeSidebar.sidebarToggleProperties.isSideNavOpen
    let secondarySideNav =
        store.state.largeSidebar.sidebarToggleProperties.isSecondarySideNavOpen
    // store.commit('largeSidebar/toggleSecondarySidebarProperties')

    if (sidenav == false) {
        store.commit('largeSidebar/toggleSidebarProperties')
        // store.commit('largeSidebar/toggleSecondarySidebarProperties')
    } else if (sidenav == true && secondarySideNav == true) {
        store.commit('largeSidebar/toggleSecondarySidebarProperties')
    } else {
        store.commit('largeSidebar/toggleSidebarProperties')
    }
}

// switch color to dark and light
const enabled = ref(false)
const html = document.querySelector('html')

let colorModeSwitch = () => {
    if (enabled.value === true) {
        html.classList.add('dark')
    } else {
        html.classList.remove('dark')
    }
}
</script>

<template>
    <div class="header-wrapper flex bg-white justify-between px-4 mb-5">
        <div class="flex ">
            <div class="logo flex img-fluid ">
      <img  src="https://seeklogo.com/images/B/banana-it-logo-CF4232D5EF-seeklogo.com.png" style="margin:10px 10px;" alt="" srcset="">

            </div>
            <div class="mx-3 sm:mx-3">
                <button
                    @click="sideBarToggle"
                    class="
                        menu-toggle
                        cursor-pointer
                        text-gray-500
                        align-middle
                        focus:outline-none
                    "
                    type="button"
                >
                    <svg
                        xmlns="http://www.w3.org/2000/svg"
                        class="h-20 w-7"
                        fill="none"
                        viewBox="0 0 24 24"
                        stroke="currentColor"
                    >
                        <path
                            stroke-linecap="round"
                            stroke-linejoin="round"
                            stroke-width="2"
                            d="M4 6h16M4 12h16M4 18h16"
                        />
                    </svg>
                </button>
            </div>
            <!-- mega-menu  -->

            <Menu as="div" class="relative inline-block text-right">
                <div>
                    <MenuButton
                        class="
                            btn-sm
                            mx-3
                            md:block
                            hidden
                            focus:outline-none
                            dropdown-button
                        "
                    >
                     
                    </MenuButton>
                </div>

                <MenuItems
                    class="
                        absolute
                        mega-menu
                        left-0
                        mt-5
                        overflow-hidden
                        origin-top-right
                        bg-white
                        rounded-md
                        custom-box-shadow
                        focus:outline-none
                    "
                >
                    <div class="">
                        <!-- <MenuItem>
                            <div class="grid grid-cols-12 gap-5">
                                <div
                                    class="
                                        col-span-4
                                        bg-gradient-to-r
                                        from-purple-500
                                        to-purple-700
                                    "
                                >
                                    <div class="p-4">
                                        <p
                                            class="
                                                text-2xl text-white
                                                font-semibold
                                                mb-3
                                            "
                                        >
                                            Mega Menu Sidebar
                                        </p>
                                        <p class="text-white mb-4">
                                            Lorem ipsum dolor sit amet
                                            consectetur, adipisicing elit.
                                            Asperiores natus laboriosam fugit,
                                            consequatur.
                                        </p>
                                        <p class="text-white mb-4">
                                            Lorem ipsum dolor sit amet
                                            consectetur, adipisicing elit.
                                            Exercitationem odio amet eos dolore
                                            suscipit placeat.
                                        </p>
                                        <BaseBtn
                                            class="
                                                border border-yellow-500
                                                text-yellow-500
                                                hover:bg-yellow-500
                                                hover:text-white
                                            "
                                            rounded
                                            >Learn More</BaseBtn
                                        >
                                    </div>
                                </div>
                                <div class="col-span-4">
                                    <div class="p-4">
                                        <p
                                            class="
                                                text-purple-500
                                                border-b border-purple-500
                                                inline-block
                                                mb-4
                                            "
                                        >
                                            Features
                                        </p>
                                        <div
                                            class="
                                                menu-icon-grid
                                                flex
                                                justify-between
                                                flex-wrap
                                            "
                                        >
                                            <a
                                                class="
                                                    hover:bg-purple-500
                                                    hover:text-white
                                                    text-gray-600
                                                    p-5
                                                    inline-flex
                                                    flex-col
                                                    items-center
                                                    rounded
                                                    w-24
                                                "
                                                href="#"
                                            >
                                                <i class="i-Shop-4 text-2xl">
                                                </i
                                                >Home
                                            </a>
                                            <a
                                                class="
                                                    hover:bg-purple-500
                                                    hover:text-white
                                                    text-gray-600
                                                    p-5
                                                    inline-flex
                                                    flex-col
                                                    items-center
                                                    rounded
                                                    w-24
                                                "
                                                href="#"
                                            >
                                                <i
                                                    class="i-Library text-2xl"
                                                ></i
                                                >UI Kits
                                            </a>
                                            <a
                                                class="
                                                    hover:bg-purple-500
                                                    hover:text-white
                                                    text-gray-600
                                                    p-5
                                                    inline-flex
                                                    flex-col
                                                    items-center
                                                    rounded
                                                    w-24
                                                "
                                                href="#"
                                            >
                                                <i class="i-Drop text-2xl"></i
                                                >Apps
                                            </a>
                                            <a
                                                class="
                                                    hover:bg-purple-500
                                                    hover:text-white
                                                    text-gray-600
                                                    p-5
                                                    inline-flex
                                                    flex-col
                                                    items-center
                                                    rounded
                                                    w-24
                                                "
                                                href="#"
                                            >
                                                <i
                                                    class="
                                                        i-File-Clipboard-File--Text
                                                        text-2xl
                                                    "
                                                >
                                                </i
                                                >Forms
                                            </a>
                                            <a
                                                class="
                                                    hover:bg-purple-500
                                                    hover:text-white
                                                    text-gray-600
                                                    p-5
                                                    inline-flex
                                                    flex-col
                                                    items-center
                                                    rounded
                                                    w-24
                                                "
                                                href="#"
                                            >
                                                <i
                                                    class="
                                                        i-Checked-User
                                                        text-2xl
                                                    "
                                                ></i
                                                >Sessions
                                            </a>
                                            <a
                                                class="
                                                    hover:bg-purple-500
                                                    hover:text-white
                                                    text-gray-600
                                                    p-5
                                                    inline-flex
                                                    flex-col
                                                    items-center
                                                    rounded
                                                    w-24
                                                "
                                                href="#"
                                            >
                                                <i
                                                    class="i-Ambulance text-2xl"
                                                ></i
                                                >Support
                                            </a>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-span-4">
                                    <div class="p-4">
                                        <p
                                            class="
                                                text-purple-500
                                                border-b border-purple-500
                                                inline-block
                                                mb-4
                                            "
                                        >
                                            Components
                                        </p>
                                        <ul class="links">
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Accordion
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Alerts
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Buttons
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Badges
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Carousels
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Lists
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Popover
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Tables
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Datatables
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Modals
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Sliders
                                                </a>
                                            </li>
                                            <li>
                                                <a
                                                    class="
                                                        hover:text-purple-500
                                                        text-gray-600
                                                    "
                                                    href="#"
                                                    >Tabs
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                        </MenuItem> -->
                    </div>
                </MenuItems>
            </Menu>

            <HeaderSearch />
        </div>
        <div class="flex items-center">
            

            <Menu as="div" class="relative inline-block text-left">
                <div>
                    <MenuButton
                        class="
                            btn btn-sm
                            hover:bg-gray-100
                            rounded
                            badge-top-container
                            inline-flex
                            justify-center
                            w-full
                            px-4
                            py-2
                            text-sm
                            font-medium
                        "
                    >
                        <span class="badge-count text-white bg-purple-500"
                            >3</span
                        >
                        <i class="i-Bell text-xl header-icon text-gray-800"></i>
                    </MenuButton>
                </div>

                <MenuItems
                    class="
                        absolute
                        right-0
                        w-44
                        mt-2
                        overflow-hidden
                        origin-top-right
                        bg-white
                        rounded-md
                        custom-box-shadow
                        focus:outline-none
                    "
                >
                    <div class="">
                        <MenuItem
                            v-for="(item, index) in 4"
                            :key="index"
                            v-slot="{ active }"
                        >
                            <button
                                :class="[
                                    active
                                        ? 'bg-purple-500 text-white'
                                        : 'text-gray-900',
                                    'group flex  items-center w-full px-4 py-2 text-sm',
                                ]"
                            >
                                <div class="flex flex-1 justify-between">
                                    <div>
                                        <h6>Nuovo Messaggio</h6>
                                        <p
                                            :class="[
                                                active
                                                    ? 'text-gray-300'
                                                    : 'text-gray-500',
                                            ]"
                                        >
                                            Ciao ! agostino quando arriva il mio ordine ?
                                        </p>
                                    </div>
                                    <div>
                                        <p
                                            :class="[
                                                active
                                                    ? 'text-gray-200'
                                                    : 'text-gray-400',
                                            ]"
                                        >
                                            3s
                                        </p>
                                    </div>
                                </div>
                            </button>
                        </MenuItem>
                    </div>
                </MenuItems>
            </Menu>

            <!-- profile-dropdown  -->
            <Menu as="div" class="relative inline-block text-left">
                <div>
                    <MenuButton
                        class="
                            inline-flex
                            justify-center
                            w-full
                            px-4
                            py-2
                            text-sm
                            font-medium
                        "
                    >
                        <img
                            class="avatar rounded-full"
                            src="/images/faces/1.jpg"
                            alt=""
                        />
                    </MenuButton>
                </div>

            </Menu>
        </div>
    </div>
</template>

<style lang="scss" scoped>
.header-wrapper {
    position: fixed;
    top: 0;
    width: 100%;
    height: 80px;
    z-index: 100;
    box-shadow: 0 1px 15px rgb(0 0 0 / 4%), 0 1px 6px rgb(0 0 0 / 4%);
}
.mega-menu {
    width: 1200px;
}
ul.links {
    column-count: 2;
    li {
        margin-bottom: 8px;
    }
}
</style>
